libzypp: zypp::media::MediaSource Class Reference

libzypp 17.36.6

Public Member Functions | Public Attributes | Related Symbols | List of all members
zypp::media::MediaSource Class Reference

Media source internally used by MediaManager and MediaHandler. More...

`#include <zypp/media/MediaSource.h>`

## Public Member Functions
| MediaSource (std::string _type, std::string _name, unsigned int _maj=0, unsigned int _min=0, std::string _bdir=std::string(), bool _own=true)
| MediaSource ()
virtual | ~MediaSource ()
virtual bool | equals (const MediaSource &src) const
| Check if the both sources are equal.
virtual std::string | asString () const
| Return media source as string for debuging purposes.

## Public Attributes
unsigned int | maj_nr
| A major number if source is a device.
unsigned int | min_nr
| A minor number if source is a device.
std::string | type
| A media handler specific source type.
std::string | name
| A media handler specific source name.
std::string | bdir
| Directory, the media may be bound to.
bool | iown
| True, if mounted by media manager.

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &str, const MediaSource &obj)
| Stream output.

## Detailed Description

Media source internally used by MediaManager and MediaHandler.

Definition at line 37 of file MediaSource.h.

## Constructor & Destructor Documentation

## ◆ MediaSource() [1/2]

zypp::media::MediaSource::MediaSource | ( | std::string | _type,
|  | std::string | _name,
|  | unsigned int | _maj = 0,
|  | unsigned int | _min = 0,
|  | std::string | _bdir = std::string(),
|  | bool | _own = true )
| inline

Definition at line 40 of file MediaSource.h.

## ◆ MediaSource() [2/2]

zypp::media::MediaSource::MediaSource | ( |  | ) |
| inline

Definition at line 51 of file MediaSource.h.

## ◆ ~MediaSource()

virtual zypp::media::MediaSource::~MediaSource | ( |  | ) |
| inlinevirtual

Definition at line 57 of file MediaSource.h.

## Member Function Documentation

## ◆ equals()

virtual bool zypp::media::MediaSource::equals | ( | const MediaSource & | src | ) | const
| inlinevirtual

Check if the both sources are equal.

Definition at line 63 of file MediaSource.h.

## ◆ asString()

virtual std::string zypp::media::MediaSource::asString | ( |  | ) | const
| inlinevirtual

Return media source as string for debuging purposes.

Definition at line 79 of file MediaSource.h.

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | str,
|  | const MediaSource & | obj )
| related

Stream output.

Definition at line 99 of file MediaSource.h.

## Member Data Documentation

## ◆ maj_nr

unsigned int zypp::media::MediaSource::maj_nr

A major number if source is a device.

Definition at line 90 of file MediaSource.h.

## ◆ min_nr

unsigned int zypp::media::MediaSource::min_nr

A minor number if source is a device.

Definition at line 91 of file MediaSource.h.

## ◆ type

std::string zypp::media::MediaSource::type

A media handler specific source type.

Definition at line 92 of file MediaSource.h.

## ◆ name

std::string zypp::media::MediaSource::name

A media handler specific source name.

Definition at line 93 of file MediaSource.h.

## ◆ bdir

std::string zypp::media::MediaSource::bdir

Directory, the media may be bound to.

Definition at line 94 of file MediaSource.h.

## ◆ iown

bool zypp::media::MediaSource::iown

True, if mounted by media manager.

Definition at line 95 of file MediaSource.h.

The documentation for this class was generated from the following file:

- zypp/media/MediaSource.h